| Visioscan Set SDK Libraries 1.0.28 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NavigationSensor Class Reference

`#include <NavigationSensor.h>`

Inheritance diagram for NavigationSensor:

## Public Member Functions
| NavigationSensor ()
| Base constructor.
| ~NavigationSensor ()
| Destructor (disconects the data sensor)
| NavigationSensor (BaseCommunication *comm)
| Copy constructor: sets the basic communication object.
ConfigurationResult | SetAngularResolution (ANGULAR_RESOLUTION pResolution)
| Sets the angle resolution. Can be either ZERO_TO_ZERO_POINT_TWO_AT_EIGHTY_HZ, ZERO_TO_ZERO_POINT_ON_AT_FOURTY_HZ, ZERO_TO_ZERO_POINT_ZERO_FIVE_AT_TWENTY_HZ or ZERO_TO_ZERO_POINT_ZERO_ZERO_TWENTYFIVE_AT_TEN_HZ)
FilterType | GetFilterType ()
| Returns the filter type.
ConfigurationResult | SetFilterType (FilterType pFilterType)
| Sets the filter type.
PAGE_INDEX | GetDisplayPageIndex ()
| Returns the display page index.
ConfigurationResult | SetDisplayPageIndex (PAGE_INDEX pPageIndex)
| Sets the display page on the given direction (Accepted values: CUSTOMIZE_LOGO_PAGE, OPERATING_STATUS_PAGE, WMS_STATUS_PAGE, ETH_USB_CONNECT_STATUS_PAGE,NETWORK_INFORMATION_PAGE or BLUETHOOT_CONNECTION_PAGE.
PAGE_DIRECTION | GetDisplayPageDirection ()
| Returns the display page direction.
ConfigurationResult | SetDisplayPageDirection (PAGE_DIRECTION pPageDirection)
| Sets the display page on the given direction (Accepted values: NORMAL or UPDIDE_DOWN)
DISPLAY_MODE | GetDisplayMode ()
| Returns the display mode (values are NORMAL_MODE, ON_MODE or OFF_MODE)
ConfigurationResult | SetDisplayMode (DISPLAY_MODE pdisplayMode)
| sets the display mode (Accepted values: NORMAL_MODE, ON_MODE or OFF_MODE)
vector< LOGO_IMAGE_SEGMENT > | GetLogoImage ()
| Returns the sensor's logo image.
ConfigurationResult | SetLogoImage (vector< LOGO_IMAGE_SEGMENT > pLogoImage)
| Sets the sensor's logo image.
ConfigurationResult | ResetLogoImage ()
| Resets the logo image to its default.
vector< unsigned int > | GetWms ()
| Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)
SensorLeds | GetSensorLeds ()
| Gets the sensor's control status led.
ConfigurationResult | SetSensorLeds (SensorLeds pLeds)
| Sets the sensors external status led (ON or OFF)
SensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
NetworkInformation | GetNetworkInformation ()
| Gets whole data information.
ContaminationStatus | GetContaminationStatus ()
| Gets the contamination status.
ConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
OLED_WAKEUP_RANGE | GetDisplayWakeUpRange ()
| Returns the OLED wake up range.
ConfigurationResult | SetDisplayWakeUpRange (OLED_WAKEUP_RANGE range)
| Sets the OLED wake up range.
OLED_WAKEUP_RANGE | GetDisplayWakeUpTime ()
| Returns the OLED wake up time.
ConfigurationResult | SetDisplayWakeUpTime (OLED_WAKEUP_RANGE range)
| Sets the OLED wake up time.
MDI_TRANSMISSION_STATUS | GetMdiTransmissionStatus ()
| Returns the MDI transmission status.
void | ShowDeviceIdentification ()
| Shows the device identification.
Public Member Functions inherited from RawDataSensor
| RawDataSensor ()
| Base constructor.
| ~RawDataSensor ()
| Destructor (disconects the data sensor)
| RawDataSensor (BaseCommunication *comm)
| Copy constructor: sets the basic communication object.
RawData | ExtractData (vector< string >pDataToExtract)
| Extracts the data from the datastream (Internal method, do not use as is)
bool | IsCommandAcknowledgment (string pDataToVerify)
| Check if data is a command acknowledgment.
bool | IsHeader (string pDataToVerify)
| Check if data is a HEADER.
bool | IsEndOfPacket (string pDataToVerify)
| Check if the data is an end of packet group.
bool | IsFirstPacket (string pDataToVerify)
| Check if the data is the first packet group.
int | GetPacketHeaderSizeToRead ()
| Returns a pointer on an array with a determined size.
int | CountToReadForLength (char *pHeaderBuffer)
| Indicates how much byte must be read in order to obtain packet len.
int | GetPacketLengthToRead (char *pLenHeaderBuffer, int pPacketType)
| Retrieve, in the pHeaderBuffer, the amount of data to read.
CommunicationStatus | Initialize ()
| Initializes the object to connect the sensor.
void | Close ()
| Method that closes all communication stops all threads and cleanup memory This method must be called when finishing usage of sensor.
RawData | RetrieveRawData ()
| Wait for Raw Data availability.
void | ResetDevice ()
| Resets the device.
void | RebootDevice ()
| Reboots the device.
NetworkInformation | GetNetworkInformation ()
| Gets whole data information.
PROTOCOL | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
SCAN_PACKET_TYPE | GetDataPacketType ()
| Gets the data packed type.
SensorResolutionFrequencyEnum | GetAngularResolution ()
| Gets the angular resolution.
SCANNING_DIRECTION | GetScanningDirection ()
| SensorResolutionFrequencyEnum Gets the scanning direction.
AngleRange | GetAngleRange ()
| Gets the angle range.
unsigned int | GetSkipScan ()
| Gets the skip scan.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
ContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
ContaminationStatus | GetContaminationStatus ()
| Gets the contamination status.
SoftwareVersion | GetVersion ()
| Gets the sensor version data.
int | GetTemperature ()
| Gets the temperature.
vector< RawDataError > | GetErrorLog ()
| Gets the error log.
SensorLeds | GetSensorLeds ()
| Gets the sensor's leds status.
SensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
long | GetRuntimeHours ()
| Gets the sensor runtime hours.
string | GetDeviceName ()
| Gets the sensor's name.
FILTER_STATUS | GetFilterStatus ()
| Gets the sensor's filter status.
WINDOW_CALIBRATION | GetWindowCalibrationStatus ()
| Gets the window calibration status.
ConfigurationResult | SetNetworkInformation (NetworkInformation pNetwork)
| Set the overall network information except IP v4 and Port.
ConfigurationResult | SetRawDataExchangeMode (PROTOCOL pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
ConfigurationResult | SetDataPacketType (SCAN_PACKET_TYPE pPacketType)
| Sets the packet type returned in raw data. Can be either DISTANCE or DISTANCE_INTENSITY.
ConfigurationResult | SetAngularResolution (SensorResolutionFrequencyEnum pResolution)
| Sets the angle resolution. Can be either 80Hz or 40Hz.
ConfigurationResult | SetScanningDirection (SCANNING_DIRECTION pScanDirection)
| Sets the scanning direction. Can be either CLOCKWISE or COUNTER_CLOCKWISE.
ConfigurationResult | SetAngleRange (AngleRange pAngleRange)
| Sets the Angle range (start and stop)
ConfigurationResult | SetSkipScan (int pSkipScan)
| Sets the skip scan.
ConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
ConfigurationResult | SetContaminationThreshold (ContaminationThreshold pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
ConfigurationResult | SetSensorLeds (SensorLeds pLeds)
| Sets the sensors external leds status (ON or OFF)
ConfigurationResult | SetDeviceName (string pName)
| Sets the sensor's name.
ConfigurationResult | SetFilterStatus (FILTER_STATUS pFilterStatus)
| Sets the sensor's filter status.
ConfigurationResult | StartWindowCalibration ()
| Starts the window calibration.
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.

## Additional Inherited Members
Protected Member Functions inherited from RawDataSensor
string | ExtractCommandResult (int MODE, string commandCode, string result)
| This method analyses and decompose the reply to a command comming from the sensor media. It also checks if the reply matches the command that was sent in order to ensure coherence of the data It decompose the reply into a data vector representing the requested data.
Protected Attributes inherited from RawDataSensor
string | GetImmu = { 0x47 ,0x65 ,0x74 ,0x49, 0x6D, 0x6D, 0x75 }
string | SetImmu = { 0x53, 0x65, 0x74, 0x49, 0x6D, 0x6D, 0x75 }

## Constructor & Destructor Documentation

## ◆ NavigationSensor() [1/2]

NavigationSensor::NavigationSensor | ( |  | ) |

Base constructor.

## ◆ ~NavigationSensor()

NavigationSensor::~NavigationSensor | ( |  | ) |

Destructor (disconects the data sensor)

## ◆ NavigationSensor() [2/2]

NavigationSensor::NavigationSensor | ( | BaseCommunication * | comm | ) |

Copy constructor: sets the basic communication object.

Parameters

  comm | The basic communication object

## Member Function Documentation

## ◆ GetContaminationStatus()

ContaminationStatus NavigationSensor::GetContaminationStatus | ( |  | ) |

Gets the contamination status.

Returns
  An ContaminationStatus representing the contamination status

## ◆ GetDisplayMode()

DISPLAY_MODE NavigationSensor::GetDisplayMode | ( |  | ) |

Returns the display mode (values are NORMAL_MODE, ON_MODE or OFF_MODE)

Returns
  tAn enum giving the display mode

## ◆ GetDisplayPageDirection()

PAGE_DIRECTION NavigationSensor::GetDisplayPageDirection | ( |  | ) |

Returns the display page direction.

Returns
  An enum givin the page direction

## ◆ GetDisplayPageIndex()

PAGE_INDEX NavigationSensor::GetDisplayPageIndex | ( |  | ) |

Returns the display page index.

Returns
  An enum givin the page index

## ◆ GetDisplayWakeUpRange()

OLED_WAKEUP_RANGE NavigationSensor::GetDisplayWakeUpRange | ( |  | ) |

Returns the OLED wake up range.

Returns
  0 for 300mm, 1 for 500mm, 2 for 1000mm, 3 for 1500mm, 4 for 2000mm

## ◆ GetDisplayWakeUpTime()

OLED_WAKEUP_RANGE NavigationSensor::GetDisplayWakeUpTime | ( |  | ) |

Returns the OLED wake up time.

Returns
  0 for 2sec, 1 for 3sec, 2 for 5sec, 3 for 10sec

## ◆ GetFilterType()

FilterType NavigationSensor::GetFilterType | ( |  | ) |

Returns the filter type.

Returns
  An object representing the filter type

TO-DO: BUG: returns 1 bytes intead of 3

Returns
  A object representing the filter type

## ◆ GetImmunityLevel()

unsigned int NavigationSensor::GetImmunityLevel | ( |  | ) |
| inline

Gets the immunity level.

Returns
  An integer representing the immunity level

## ◆ GetLogoImage()

vector< LOGO_IMAGE_SEGMENT > NavigationSensor::GetLogoImage | ( |  | ) |

Returns the sensor's logo image.

Returns
  A vector of unsigned unsigned int 16

## ◆ GetMdiTransmissionStatus()

MDI_TRANSMISSION_STATUS NavigationSensor::GetMdiTransmissionStatus | ( |  | ) |

Returns the MDI transmission status.

Returns
  0 for OFF, 1 for ON

## ◆ GetNetworkInformation()

NetworkInformation NavigationSensor::GetNetworkInformation | ( |  | ) |

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetSensorLamps()

SensorLamps NavigationSensor::GetSensorLamps | ( |  | ) |

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

## ◆ GetSensorLeds()

SensorLeds NavigationSensor::GetSensorLeds | ( |  | ) |

Gets the sensor's control status led.

Returns
  An encapsulation representing the sensor's control status led

## ◆ GetWms()

vector< unsigned int > NavigationSensor::GetWms | ( |  | ) |

Returns the window monitoring system of each sector (SECTORS_COUNT sectors - 132 -)

Returns

## ◆ ResetLogoImage()

ConfigurationResult NavigationSensor::ResetLogoImage | ( |  | ) |

Resets the logo image to its default.

Returns
  A configuration result ecpasuplation

## ◆ SetAngularResolution()

ConfigurationResult NavigationSensor::SetAngularResolution | ( | ANGULAR_RESOLUTION | pResolution | ) |

Sets the angle resolution. Can be either ZERO_TO_ZERO_POINT_TWO_AT_EIGHTY_HZ, ZERO_TO_ZERO_POINT_ON_AT_FOURTY_HZ, ZERO_TO_ZERO_POINT_ZERO_FIVE_AT_TWENTY_HZ or ZERO_TO_ZERO_POINT_ZERO_ZERO_TWENTYFIVE_AT_TEN_HZ)

Sets the angle resolution. Can be either ZERO_TO_ZERO_POINT_TWO_AT_EIGHTY_HZ, ZERO_TO_ZERO_POINT_ONE_AT_FOURTY_HZ, ZERO_TO_ZERO_POINT_ZERO_FIVE_AT_TWENTY_HZ or ZERO_TO_ZERO_POINT_ZERO_ZERO_TWENTYFIVE_AT_TEN_HZ)

Parameters

  pResolution |

Returns
  A configuration result encapsulation

## ◆ SetDisplayMode()

ConfigurationResult NavigationSensor::SetDisplayMode | ( | DISPLAY_MODE | pdisplayMode | ) |

sets the display mode (Accepted values: NORMAL_MODE, ON_MODE or OFF_MODE)

Parameters

  pdisplayMode | the display mode

Returns
  A configuration result encapsulation

## ◆ SetDisplayPageDirection()

ConfigurationResult NavigationSensor::SetDisplayPageDirection | ( | PAGE_DIRECTION | pPageDirection | ) |

Sets the display page on the given direction (Accepted values: NORMAL or UPDIDE_DOWN)

Parameters

  pPageDirection | The page direction

Returns
  A configuration result encapsulation

## ◆ SetDisplayPageIndex()

ConfigurationResult NavigationSensor::SetDisplayPageIndex | ( | PAGE_INDEX | pPageIndex | ) |

Sets the display page on the given direction (Accepted values: CUSTOMIZE_LOGO_PAGE, OPERATING_STATUS_PAGE, WMS_STATUS_PAGE, ETH_USB_CONNECT_STATUS_PAGE,NETWORK_INFORMATION_PAGE or BLUETHOOT_CONNECTION_PAGE.

Sets the display page on the given index (Accepted values: CUSTOMIZE_LOGO_PAGE, OPERATING_STATUS_PAGE, WMS_STATUS_PAGE, ETH_USB_CONNECT_STATUS_PAGE,NETWORK_INFORMATION_PAGE or BLUETHOOT_CONNECTION_PAGE.

Parameters

  pPageIndex | The direction index

Returns
  A configuration result encapsulation

## ◆ SetDisplayWakeUpRange()

ConfigurationResult NavigationSensor::SetDisplayWakeUpRange | ( | OLED_WAKEUP_RANGE | range | ) |

Sets the OLED wake up range.

Parameters

  range | >0 for 300mm, 1 for 500mm, 2 for 1000mm, 3 for 1500mm, 4 for 2000mm

Returns
  A configuration result encapsulation

## ◆ SetDisplayWakeUpTime()

ConfigurationResult NavigationSensor::SetDisplayWakeUpTime | ( | OLED_WAKEUP_RANGE | range | ) |

Sets the OLED wake up time.

Parameters

  range | >0 for 2sec, 1 for 3sec, 2 for 5sec, 3 for 10sec

Returns
  A configuration result encapsulation

## ◆ SetFilterType()

ConfigurationResult NavigationSensor::SetFilterType | ( | FilterType | pFilterType | ) |

Sets the filter type.

Parameters

  pFilterType | A object representing the filter type

TO-DO: BUG: does not accept all parameters

Parameters

  pFilterType | An object representing the filter type

## ◆ SetImmunityLevel()

ConfigurationResult NavigationSensor::SetImmunityLevel | ( | int | pImmunityLevel | ) |
| inline

Sets the sensor's immunity level.

Parameters

  pImmunityLevel | The immunity level to be set

Returns
  A configuration result encapsulation

## ◆ SetLogoImage()

ConfigurationResult NavigationSensor::SetLogoImage | ( | vector< LOGO_IMAGE_SEGMENT > | pLogoImage | ) |

Sets the sensor's logo image.

Parameters

  pLogoImage | A vector of unsigned unsigned int 16

Returns
  A configuration result ecpasuplation

## ◆ SetSensorLeds()

ConfigurationResult NavigationSensor::SetSensorLeds | ( | SensorLeds | pLeds | ) |

Sets the sensors external status led (ON or OFF)

Parameters

  pLeds | The encapsulation of the leds to be set

Returns
  A configuration result encapsulation

## ◆ ShowDeviceIdentification()

void NavigationSensor::ShowDeviceIdentification | ( |  | ) |

Shows the device identification.

The documentation for this class was generated from the following files:

- NavigationSensor.h
- NavigationSensor.cpp